Subject: Modifying messages while filtering?

From: Bill Fenner <[email-masked]>
Date: Tue, 13 Mar 2001 16:25:29 -0800

Hi,

  I looked through the various sieve Internet-Drafts, and didn't
notice something that I really like my filters to be able to do:
remove a static string from a header.  The specific reason that
I use this is when mailing lists put their names in the Subject
header -- I know what list it is from the folder, so I'd rather use
that bit of screen real estate to see more characters of the subject.

  My current (homegrown) filtering system does this with a regexp,
but I find that I don't use anything more than simple string matching.
Is there any interest in such an extension for sieve?

Thanks,
  Bill